Return caller-specific competition requirements.
curl --request GET \
--url https://api.example.com/v1/competitions/requirements/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/requirements/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/requirements/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Competitions
Get Competition Requirement Status
Check the signed-in user’s credential and registration readiness for one or more competitions.
GET
/
v1
/
competitions
/
requirements
/
status
Return caller-specific competition requirements.
curl --request GET \
--url https://api.example.com/v1/competitions/requirements/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/requirements/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/requirements/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Return a personalized readiness checklist for competition and workflow pages.
Each competition includes a completed count, an overall state, credential
details, and Bittensor registration status and cost when applicable.
Use the optional
Credential values are never returned. Add
slugs query to check several competitions in one request:
GET /v1/competitions/requirements/status?slugs=oro,nova-blueprint,negotiation
include_cost=true when opening a
detailed view to load Bittensor registration cost in TAO and, when current
price data is available, USD. Add include_registration=true to resolve owned
hotkeys against the current Taostats metagraph. Omit both for a faster
badge-only read.
Current requirements are:
- Negotiation:
OPENROUTER_API_KEY. - Nova Blueprint: an active Bittensor registration on subnet 68.
- ORO:
OPENROUTER_API_KEY,OPENROUTER_MANAGEMENT_KEY, and an active Bittensor registration.
Was this page helpful?
